#include "xfximpactentry.h"

XFxImpactEntry::XFxImpactEntry()
    : XAsset()
    , mNonFleshPtrs()
    , mNonFlesh()
    , mFleshPtrs()
    , mFlesh()
{
    SetName("Impact Entry");
}

XFxImpactEntry::~XFxImpactEntry()
{
    
}

void XFxImpactEntry::Clear()
{
    mNonFleshPtrs.clear();
    mNonFlesh.clear();
    mFleshPtrs.clear();
    mFlesh.clear();
}

void XFxImpactEntry::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XFxImpactEntry::ParseData
}
